<?php
// $Id: accesscheck.php,v 1.5 2003/09/19 08:41:49 rcastley Exp $
/**
* Access check code
* @package Mambo Open Source
* @Copyright (C) 2000 - 2003 Miro International Pty Ltd
* @ All rights reserved
* @ Mambo Open Source is Free Software
* @ Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
* @version $Revision: 1.5 $
**/

defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

/**
* Access checking utilities
* @package MOS Core
* @copyright 2000-2003 Miro International Pty Ltd
* @license http://www.gnu.org/copyleft/gpl.html GNU Public License
* @version $Revision: 1.5 $
*/

/**
* Retrieves the group ID of the current user from the session table
* @param string Contents of a cookie variable
* @param database A database connector object
* @return int The visitor's GroupID
*/
function checkaccess( $cook, &$db ) {
	$gidf = 0;
	if ($cook <> "") {
		$cryptSessionID = md5( $cook );
		$db->setQuery( "SELECT gid FROM #__session WHERE session_ID='$cryptSessionID'" );
		$gidf = intval( $db->loadResult() );
		/** @todo Gracefully handle query errors */
	}
	return $gidf;
}

/**
* Retrieves the usertype of the current user from the session table
* @param string Contents of a cookie variable
* @param database A database connector object
* @return int The visitor's GroupID
*/
function checktype( $cook, &$db, $type ) {
	$typeok=false;
	if ($cook <> "") {
		$cryptSessionID = md5( $cook );
		$db->setQuery( "SELECT usertype FROM #__session WHERE session_ID='$cryptSessionID' AND usertype='$type'" );
		$ret = $db->query();
		$num = intval( $db->getNumRows($ret) );
		if ($num==0){$typeok=false;}else{$typeok=true;}
		/** @todo Gracefully handle query errors */
	}
	return $typeok;
}


/**
* Checks whether a menu option is within the users access level
* @param int Item id number
* @param string The menu option
* @param int The users group ID number
* @param database A database connector object
* @return boolean True if the visitor's group at least equal to the menu access
*/
function menucheck( $Itemid, $menu_option, $gid, &$db ) {
	$dblink="index.php?option=$menu_option";
	$db->setQuery( "SELECT access FROM #__menu WHERE id='$Itemid' OR link='$dblink'" );
	$access = intval( $db->loadResult() );
	return ($access <= $gid);
}
?>