<?php
// $Id: index2.php,v 1.10 2003/09/20 00:57:41 saka_car Exp $
/**
* Print/e-mail/RSS code
* @package Mambo Open Source
* @Copyright (C) 2000 - 2003 Miro International Pty Ltd
* @ All rights reserved
* @ Mambo Open Source is Free Software
* @ Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
* @version $Revision: 1.10 $
**/

/**
* Support file to display an operation clear of the template
*/

define( "_VALID_MOS", 1 );

include_once ("globals.php");
require_once ("configuration.php");
require_once ("classes/mambo.php");
require_once ("includes/frontend.php");

$database = new database( $mosConfig_host, $mosConfig_user, $mosConfig_password, $mosConfig_db, $mosConfig_dbprefix );

// mainframe is an API workhorse, lots of 'core' interaction routines
$mainframe = new mosMainFrame( $database, $option, '.' );

// Support for simple debug
if ($mosConfig_debug) {
	include_once($mosConfig_absolute_path . "/includes/debug.php");
	$mosDebug = new mosDebug($mosConfig_debug);
}

// retrieve some expected url (or form) arguments
$option = strtolower( trim( mosGetParam( $_REQUEST, 'option', $mosConfig_defaultpage ) ) );
$no_html = intval( mosGetParam( $_REQUEST, 'no_html', 0 ) );
$Itemid = strtolower( trim( mosGetParam( $_REQUEST, 'ItemId',0 ) ) );
$mainframe->initSession();

if ($mosConfig_lang=='') {
	$mosConfig_lang='english';
}
include_once ('language/'.$mosConfig_lang.'.php');

if ($mosConfig_offline == 1){
	include( 'offline.php' );
	exit();
}

if ($option == "login") {
	$mainframe->login();
	mosRedirect('index.php');
} else if ($option == "logout") {
	$mainframe->logout();
	mosRedirect( "index.php" );
}

// get the information about the current user from the sessions table
$my = $mainframe->getUser();

$mainframe->detect();

require_once ("includes/accesscheck.php");

$gid = intval( $my->gid );

$t = new mosTemplate( $database );
        $t->load( 0 );
        $cur_template = $t->cur_template;
ob_start();
// start basic HTML
if ($no_html==0){?>
	<?php echo "<?xml version=\"1.0\"?>"; ?>
	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
	<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<title><?php echo $mosConfig_sitename; ?></title>
		<link rel="stylesheet" href="templates/<?php echo $cur_template;?>/css/template_css.css" type="text/css" />
		<?php echo _ISO; ?>
	</head>
	<body>
		<?php include ("mainbody.php"); ?>
		<div align="center"><a href="#" onclick="window.close()"><?php echo _PROMPT_CLOSE; ?></a></div>
	</body>
	</html>
<?php
} else {
	include ("mainbody.php");
}
ob_end_flush();
?>