<?php
// $Id: index.php,v 1.9 2003/09/19 08:38:28 rcastley Exp $
/**
* Main installation page
* @package Mambo Open Source
* @Copyright (C) 2000 - 2003 Miro International Pty Ltd
* @ All rights reserved
* @ Mambo Open Source is Free Software
* @ Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
* @version $Revision: 1.9 $
**/

require_once ("../version.php");
?>
<?php echo "<?xml version=\"1.0\" encoding=\"iso-8859-1\"?".">"; ?> 
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>Mambo Open Source - Web Installer</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="shortcut icon" href="../images/favicon.ico" />
<link rel="stylesheet" href="install.css" type="text/css" />
</head>
<body>
<table width="100%" border="0" cellpadding="0" cellspacing="0" style="background-color:#ffffff">
  <tr> 
    <td width="60%" height="50" valign="middle">&nbsp;<img src="../administrator/images/top_logo.png" alt="MOS Logo" width="200" height="30" align="absmiddle" /><br/>&nbsp;<strong>[installation]</strong></td>
    <td> </td>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr> 
    <td height="1" bgcolor="#000000"></td>
  </tr>
</table>
<table width="100%" border="0" cellpadding="0" cellspacing="0">
  <tr> 
    <td bgcolor="#d5d5d5">&nbsp;</td>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr> 
    <td height="1" bgcolor="#000000"></td>
  </tr>
</table>
<br />
<table width="600" align="center" border="0" cellspacing="2" cellpadding="0" class="installation">
  <form action="install1.php" method="post" name="form" id="form">
    <tr> 
      <td colspan="2" align="center"><h3>** NOT SUITABLE FOR USE IN A PRODUCTION 
          ENVIRONMENT **</h3></td>
    </tr>
    <tr> 
      <td colspan="2" class="heading">Pre-installation check for <?php echo $version; ?></td>
    </tr>
    <tr> 
      <td class="small" colspan="2">If any of the items below are highlighted 
        in red then please take actions to correct them. Failure to do so could 
        lead to your Mambo Open Source installation not functioning correctly.</td>
    </tr>
    <tr> 
      <td width="292">PHP Version <?php echo phpversion();?></td>
      <td width="308" align="left"><?php echo phpversion() < '4.1' ? '<b><font color="red">Not supported</font></b>' : '<b><font color="green">OK</font></b>';?></td>
    </tr>
    <tr> 
      <td>&nbsp; - Zlib support for PHP</td>
      <td align="left"><?php echo extension_loaded('zlib') ? '<b><font color="green">OK</font></b>' : '<b><font color="red">Not supported</font></b>';?></td>
    </tr>
    <tr> 
      <td>&nbsp; - XML support for PHP</td>
      <td align="left"><?php echo extension_loaded('xml') ? '<b><font color="green">OK</font></b>' : '<b><font color="red">Not supported</font></b>';?></td>
    </tr>
    <tr> 
      <td>&nbsp; - MySQL support for PHP</td>
      <td align="left"><?php echo function_exists( 'mysql_connect' ) ? '<b><font color="green">OK</font></b>' : '<b><font color="red">Not supported</font></b>';?></td>
    </tr>
    <tr> 
      <td valign="top">Installer can write configuration file</td>
      <td align="left"><?php echo is_writable( '..' ) ? '<b><font color="green">OK</font></b>' : '<b><font color="red">Not supported</font></b><br /><span class="small">You can still continue the install as the configuration will be displayed at the end, just copy & paste this and upload.</span>';?></td>
    </tr>
    <tr> 
      <td>Session save path</td>
      <td align="left"><?php echo (($sp=ini_get('session.save_path'))?$sp:'Not set'); ?></td>
    </tr>
    <tr> 
      <td>Session save path is Writable</td>
      <td align="left"><?php echo is_writable( $sp ) ? '<b><font color="green">OK</font></b>' : '<b><font color="red">Not Writable</font></b>';?></td>
    </tr>
    <tr> 
      <td colspan="2">&nbsp;</td>
    </tr>
    <tr> 
      <td class="heading" colspan="2">System Requirements for Mambo Open Source:</td>
    </tr>
    <tr> 
      <td colspan="2"><strong>Minimum Server Requirements:<br />
          </strong>Operating System: Linux, BSD, Windows 2000/XP, Mac OS X<br />
          PHP: 4.1.2 or above<br />
          MySQL: 3.23.x or above<br />
          Apache: 1.3.24 or above<br />
          (PHP must be compiled with support for: MySQL, XML and Zlib)</p>
        <p><strong>Recommended PHP settings (found in php.ini):<br />
          </strong>Safe Mode: OFF <br />
          Display Errors: ON <br />
          File Uploads: ON <br />
          Magic Quotes: ON <br />
          Register Globals: OFF <br />
          Output Buffering: OFF <br />
          Session auto start: 0 <br />
          <br />
          <strong>Minimum Browser Requirements:<br />
          </strong>Mozilla 1.4</p>
        <p><strong>Recommended Browser Requirements:<br />
          </strong>Internet Explorer 5.5 or above</p>
        <p> <strong>File System Permissions:<br />
          </strong>The Mambo Open Source installation directory needs to be writable 
          by the web server to allow this installation process to write the configuration 
          file. </p>
        <p> On a Windows system you probably don't have to worry about this. On 
          a POSIX system you will need to change the <em>owner</em> or the <em>group</em> 
          of the Mambo Open Source directory. This will be different on every 
          system but an owner or group of <em>apache</em> may be appropriate. 
          Use the system commands <code># ps -ef | grep httpd</code> to detemermine 
          the web server user. Consult with your system administrator for further 
          information. It is <strong>NOT</strong> recommended to simply <code>chmod 
          777 mos</code>. This is one solution but very unsafe and we didn't tell 
          you to do it! </p></td>
    </tr>
    <tr> 
      <td colspan="2" align="right"><input class="button" type="submit" name="next" value="Continue" /></td>
    </tr>
  </form>
</table>
</td></tr>
</table> 
</body>
</html>
